> ## Documentation Index
> Fetch the complete documentation index at: https://docs.conductor.is/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve company file preferences

> Returns the preferences that the QuickBooks administrator has set for all users of the connected company file. Note that preferences cannot be modified through the API, only through the QuickBooks Desktop user interface.



## OpenAPI

````yaml GET /quickbooks-desktop/preferences
openapi: 3.1.0
info:
  title: Conductor API
  version: 0.0.1
servers:
  - url: https://api.conductor.is/v1
security:
  - BearerAuth: []
paths:
  /quickbooks-desktop/preferences:
    get:
      summary: Retrieve company file preferences
      description: >-
        Returns the preferences that the QuickBooks administrator has set for
        all users of the connected company file. Note that preferences cannot be
        modified through the API, only through the QuickBooks Desktop user
        interface.
      parameters:
        - in: header
          name: Conductor-End-User-Id
          schema:
            type: string
            description: The ID of the End-User to receive this request.
            example: end_usr_1234567abcdefg
            x-stainless-naming:
              typescript:
                method_argument: conductorEndUserId
              mcp:
                method_argument: conductorEndUserId
          required: true
          description: The ID of the End-User to receive this request.
      responses:
        '200':
          description: Returns an object with the company file's preferences.
          headers:
            Conductor-Request-Id:
              required: true
              description: The unique identifier for this API request.
              schema:
                type: string
                description: The unique identifier for this API request.
                example: req_1234567abcdefg
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/qbd_preferences'
      security:
        - BearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Conductor from 'conductor-node';

            const conductor = new Conductor({
              apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
            });

            const preferences = await conductor.qbd.preferences.retrieve({
              conductorEndUserId: 'end_usr_1234567abcdefg',
            });

            console.log(preferences.accounting);
        - lang: Python
          source: |-
            import os
            from conductor import Conductor

            conductor = Conductor(
                api_key=os.environ.get("CONDUCTOR_SECRET_KEY"),  # This is the default and can be omitted
            )
            preferences = conductor.qbd.preferences.retrieve(
                conductor_end_user_id="end_usr_1234567abcdefg",
            )
            print(preferences.accounting)
components:
  schemas:
    qbd_preferences:
      type: object
      properties:
        accounting:
          $ref: '#/components/schemas/qbd_accounting_preferences'
          description: The accounting preferences for this company file.
        financeCharges:
          $ref: '#/components/schemas/qbd_finance_charge_preferences'
          description: >-
            The finance charge preferences for this company file. These settings
            determine how late payment charges are calculated and applied to
            customer accounts.
        jobsAndEstimates:
          $ref: '#/components/schemas/qbd_jobs_and_estimates_preferences'
          description: The jobs and estimates preferences for this company file.
        multiCurrency:
          anyOf:
            - $ref: '#/components/schemas/qbd_multi_currency_preferences'
            - type: 'null'
          description: The multi-currency preferences for this company file.
        multiLocationInventory:
          anyOf:
            - $ref: '#/components/schemas/qbd_multi_location_inventory_preferences'
            - type: 'null'
          description: The multi-location inventory preferences for this company file.
        purchasesAndVendors:
          $ref: '#/components/schemas/qbd_purchases_and_vendors_preferences'
          description: The purchases and vendors preferences for this company file.
        reports:
          $ref: '#/components/schemas/qbd_reports_preferences'
          description: The reporting preferences for this company file.
        salesAndCustomers:
          $ref: '#/components/schemas/qbd_sales_and_customers_preferences'
          description: The sales and customers preferences for this company file.
        salesTax:
          anyOf:
            - $ref: '#/components/schemas/qbd_sales_tax_preferences'
            - type: 'null'
          description: >-
            The sales-tax preferences for this company file. If sales tax is
            turned off in the user interface (that is, if "No" is selected for
            "Do You Charge Sales Tax?" in the sales tax preferences), then this
            field will be `null`.
        timeTracking:
          anyOf:
            - $ref: '#/components/schemas/qbd_time_tracking_preferences'
            - type: 'null'
          description: >-
            The time-tracking preferences for this company file. If time
            tracking is turned off in the user interface (that is, if "No" is
            selected for "Do You Track Time?" in the time tracking preferences),
            then this field will be `null`.
        appAccessRights:
          $ref: '#/components/schemas/qbd_current_app_access_rights'
          description: The current application access rights for this company file.
        itemsAndInventory:
          anyOf:
            - $ref: '#/components/schemas/qbd_items_and_inventory_preferences'
            - type: 'null'
          description: The item inventory preferences for this company file.
      required:
        - accounting
        - financeCharges
        - jobsAndEstimates
        - multiCurrency
        - multiLocationInventory
        - purchasesAndVendors
        - reports
        - salesAndCustomers
        - salesTax
        - timeTracking
        - appAccessRights
        - itemsAndInventory
      additionalProperties: false
      title: The Preferences object
      x-conductor-object-type: other
      x-conductor-sidebar-group-name: Preferences
      summary: >-
        The preferences that the QuickBooks administrator has set for all users
        of the connected company file.
    qbd_accounting_preferences:
      type: object
      properties:
        isUsingAccountNumbers:
          type: boolean
          description: >-
            Indicates whether this company file is configured to record an
            account number for new accounts. If you include an account number
            when creating a new account while this preference is `false`, the
            account number will still be set, but will not be visible in the
            QuickBooks user interface.
          example: true
        isRequiringAccounts:
          type: boolean
          description: >-
            Indicates whether this company file is configured to require an
            account for new transactions. If `true`, a transaction cannot be
            recorded in the QuickBooks user interface unless it is assigned to
            an account. (However, transactions affected by this preference
            always require an account to be specified when added through the
            API.)
          example: true
        isUsingClassTracking:
          type: boolean
          description: >-
            Indicates whether this company file is configured to use the `class`
            field on all transactions.
          example: true
        defaultTransactionClass:
          anyOf:
            - type: string
              enum:
                - accounts
                - items
                - names
                - none
            - type: 'null'
          description: The default class assigned to transactions for this company file.
          example: accounts
        isUsingAuditTrail:
          type: boolean
          description: >-
            Indicates whether this company file is configured to log all
            transaction changes in the audit trail report. If `false`,
            QuickBooks logs only the most recent version of each transaction.
          example: true
        isAssigningJournalEntryNumbers:
          type: boolean
          description: >-
            Indicates whether this company file is configured to automatically
            assign a number to each journal entry.
          example: true
        closingDate:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          description: >-
            The company closing date set within this company file. (The
            QuickBooks Admin can assign a password restricting access to
            transactions that occurred before this date.)
          example: '2024-12-31T00:00:00.000Z'
      required:
        - isUsingAccountNumbers
        - isRequiringAccounts
        - isUsingClassTracking
        - defaultTransactionClass
        - isUsingAuditTrail
        - isAssigningJournalEntryNumbers
        - closingDate
      additionalProperties: false
      title: The Accounting Preferences object
      x-conductor-object-type: nested
    qbd_finance_charge_preferences:
      type: object
      properties:
        annualInterestRate:
          anyOf:
            - type: number
            - type: 'null'
          description: >-
            The interest rate that QuickBooks will use to calculate finance
            charges for this company file. Default is `0`.
          example: 0.05
          default: 0
        minimumFinanceCharge:
          anyOf:
            - type: number
            - type: 'null'
          description: >-
            The minimum finance charge that will be applied regardless of the
            amount overdue for this company file. Default is `0`.
          example: 100
          default: 0
        gracePeriod:
          type: number
          description: >-
            The number of days before finance charges apply to customers'
            overdue invoices for this company file. Default is `0`.
          example: 30
          default: 0
        financeChargeAccount:
          anyOf:
            - type: object
              properties:
                id:
                  anyOf:
                    - type: string
                    - type: 'null'
                  description: >-
                    The unique identifier assigned by QuickBooks to this object.
                    This ID is unique across all objects of the same type, but
                    not across different QuickBooks object types.
                  example: 80000001-1234567890
                fullName:
                  anyOf:
                    - type: string
                    - type: 'null'
                  description: >-
                    The fully-qualified unique name for this object, formed by
                    combining the names of its parent objects with its own
                    `name`, separated by colons. Not case-sensitive.
                  example: Parent:Child:Grandchild
              required:
                - id
                - fullName
              additionalProperties: false
            - type: 'null'
          description: >-
            The account used to track finance charges that customers pay for
            this company file. This is usually an income account.
          example:
            id: 80000001-1234567890
            fullName: Interest Income
        isAssessingForOverdueCharges:
          type: boolean
          description: >-
            Indicates whether this company file is configured to assess finance
            charges for overdue invoices. Default is `false`. (Note that laws
            vary about whether a company can charge interest on overdue interest
            payments.)
          example: false
        calculateChargesFrom:
          type: string
          enum:
            - due_date
            - invoice_or_billed_date
          description: >-
            The date from which finance charges are calculated for this company
            file. Default is `due_date`.
          example: due_date
        isMarkedToBePrinted:
          type: boolean
          description: >-
            Indicates whether this company file is configured to mark all newly
            created finance-charge invoices as "to be printed". Default is
            `false`. The user can still change this preference for each
            individual invoice.
          example: false
      required:
        - annualInterestRate
        - minimumFinanceCharge
        - gracePeriod
        - financeChargeAccount
        - isAssessingForOverdueCharges
        - calculateChargesFrom
        - isMarkedToBePrinted
      additionalProperties: false
      title: The Finance Charge Preferences object
      x-conductor-object-type: nested
    qbd_jobs_and_estimates_preferences:
      type: object
      properties:
        isUsingEstimates:
          type: boolean
          description: >-
            Indicates whether this company file is configured to create
            estimates for jobs.
          example: true
        isUsingProgressInvoicing:
          type: boolean
          description: >-
            Indicates whether this company file permits creating invoices for
            only a portion of an estimate.
          example: true
        isPrintingItemsWithZeroAmounts:
          type: boolean
          description: >-
            Indicates whether this company file is configured to print line
            items with zero amounts on progress invoices. This preference is
            only relevant if `isUsingProgressInvoicing` is `true`.
          example: true
      required:
        - isUsingEstimates
        - isUsingProgressInvoicing
        - isPrintingItemsWithZeroAmounts
      additionalProperties: false
      title: The Jobs and Estimates Preferences object
      x-conductor-object-type: nested
    qbd_multi_currency_preferences:
      type: object
      properties:
        isMultiCurrencyEnabled:
          anyOf:
            - type: boolean
            - type: 'null'
          description: >-
            Indicates whether the multicurrency feature is enabled for this
            company file. Once multicurrency is enabled for a company file, it
            cannot be disabled.
          example: true
        homeCurrency:
          anyOf:
            - type: object
              properties:
                id:
                  anyOf:
                    - type: string
                    - type: 'null'
                  description: >-
                    The unique identifier assigned by QuickBooks to this object.
                    This ID is unique across all objects of the same type, but
                    not across different QuickBooks object types.
                  example: 80000001-1234567890
                fullName:
                  anyOf:
                    - type: string
                    - type: 'null'
                  description: >-
                    The fully-qualified unique name for this object, formed by
                    combining the names of its parent objects with its own
                    `name`, separated by colons. Not case-sensitive.
                  example: Parent:Child:Grandchild
              required:
                - id
                - fullName
              additionalProperties: false
            - type: 'null'
          description: >-
            The currency that is set as the home currency for this company file.
            The home currency is normally the currency of the country where the
            business is physically located. Although a home currency other than
            US Dollars can be chosen, certain QuickBooks convenience features
            are available only with a home currency of US Dollars, such as the
            ability to download current exchange rates. Also, Intuit services
            such as payroll and online banking are only available in US Dollars.
            Once the home currency has been set and used in any transaction, it
            cannot be changed.
          example:
            id: 80000001-1234567890
            fullName: USD
      required:
        - isMultiCurrencyEnabled
        - homeCurrency
      additionalProperties: false
      title: The Multi-Currency Preferences object
      x-conductor-object-type: nested
    qbd_multi_location_inventory_preferences:
      type: object
      properties:
        isMultiLocationInventoryAvailable:
          anyOf:
            - type: boolean
            - type: 'null'
          description: >-
            Indicates whether the multilocation inventory feature is available
            for this company file. When `true`, the feature can potentially be
            enabled.
          example: true
        isMultiLocationInventoryEnabled:
          anyOf:
            - type: boolean
            - type: 'null'
          description: >-
            Indicates whether the multilocation inventory feature is enabled for
            this company file. When `true`, inventory can be tracked across
            multiple locations.
          example: true
      required:
        - isMultiLocationInventoryAvailable
        - isMultiLocationInventoryEnabled
      additionalProperties: false
      title: The Multi-Location Inventory Preferences object
      x-conductor-object-type: nested
    qbd_purchases_and_vendors_preferences:
      type: object
      properties:
        isUsingInventory:
          type: boolean
          description: >-
            Indicates whether this company file has inventory-related features
            enabled.
          example: true
        daysBillsAreDue:
          type: number
          description: >-
            The default number of days after receipt when bills are due for this
            company file.
          example: 30
        isAutomaticallyUsingDiscounts:
          type: boolean
          description: >-
            Indicates whether this company file is configured to automatically
            apply available vendor discounts or credits when paying bills.
          example: true
        defaultDiscountAccount:
          anyOf:
            - type: object
              properties:
                id:
                  anyOf:
                    - type: string
                    - type: 'null'
                  description: >-
                    The unique identifier assigned by QuickBooks to this object.
                    This ID is unique across all objects of the same type, but
                    not across different QuickBooks object types.
                  example: 80000001-1234567890
                fullName:
                  anyOf:
                    - type: string
                    - type: 'null'
                  description: >-
                    The fully-qualified unique name for this object, formed by
                    combining the names of its parent objects with its own
                    `name`, separated by colons. Not case-sensitive.
                  example: Parent:Child:Grandchild
              required:
                - id
                - fullName
              additionalProperties: false
            - type: 'null'
          description: The account used to track vendor discounts for this company file.
          example:
            id: 80000001-1234567890
            fullName: Discount Account
      required:
        - isUsingInventory
        - daysBillsAreDue
        - isAutomaticallyUsingDiscounts
        - defaultDiscountAccount
      additionalProperties: false
      title: The Purchases and Vendors Preferences object
      x-conductor-object-type: nested
    qbd_reports_preferences:
      type: object
      properties:
        agingReportBasis:
          type: string
          enum:
            - age_from_due_date
            - age_from_transaction_date
          description: >-
            Determines how the aging periods are calculated in accounts
            receivable and accounts payable reports for this company file. When
            set to `age_from_due_date`, the overdue days shown in these reports
            begin with the due date on the invoice. When set to
            `age_from_transaction_date`, the overdue days begin with the date
            the transaction was created.
          example: age_from_due_date
        summaryReportBasis:
          type: string
          enum:
            - accrual
            - cash
          description: >-
            Indicates whether summary reports for this company file use
            cash-basis or accrual-basis bookkeeping. With `accrual` basis,
            transactions are recorded when they occur regardless of when payment
            is received or made. With `cash` basis, transactions are recorded
            only when payment is received or made.
          example: accrual
      required:
        - agingReportBasis
        - summaryReportBasis
      additionalProperties: false
      title: The Reports Preferences object
      x-conductor-object-type: nested
    qbd_sales_and_customers_preferences:
      type: object
      properties:
        defaultShippingMethod:
          anyOf:
            - type: object
              properties:
                id:
                  anyOf:
                    - type: string
                    - type: 'null'
                  description: >-
                    The unique identifier assigned by QuickBooks to this object.
                    This ID is unique across all objects of the same type, but
                    not across different QuickBooks object types.
                  example: 80000001-1234567890
                fullName:
                  anyOf:
                    - type: string
                    - type: 'null'
                  description: >-
                    The fully-qualified unique name for this object, formed by
                    combining the names of its parent objects with its own
                    `name`, separated by colons. Not case-sensitive.
                  example: Parent:Child:Grandchild
              required:
                - id
                - fullName
              additionalProperties: false
            - type: 'null'
          description: >-
            The default shipping method used in all "Ship Via" fields for this
            company file.
          example:
            id: 80000001-1234567890
            fullName: FedEx Ground
        defaultShipmentOrigin:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            The default shipment-origin location (i.e., FOB - freight on board)
            from which invoiced products are shipped for this company file. This
            indicates the point at which ownership and liability for goods
            transfer from seller to buyer.
          example: San Francisco, CA
        defaultMarkupPercentage:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            The default percentage that an inventory item will be marked up from
            its cost for this company file.
          example: '25'
        isTrackingReimbursedExpensesAsIncome:
          type: boolean
          description: >-
            Indicates whether this company file is configured to track an
            expense and the customer's reimbursement for that expense in
            separate accounts. When `true`, reimbursements can be tracked as
            income rather than as a reduction of the original expense.
          example: true
        isAutoApplyingPayments:
          type: boolean
          description: >-
            Indicates whether this company file is configured to automatically
            apply a customer's payment to their outstanding invoices, beginning
            with the oldest invoice.
          example: true
        priceLevels:
          anyOf:
            - $ref: '#/components/schemas/qbd_price_levels'
            - type: 'null'
          description: >-
            The custom pricing settings for this company file that can be
            assigned to specific customers. When a price level is set for a
            customer, QuickBooks automatically applies these custom prices to
            new invoices, sales receipts, sales orders, and credit memos. These
            settings can be overridden when creating individual transactions,
            and price levels can also be specified on individual line items in
            supported sales transactions.
      required:
        - defaultShippingMethod
        - defaultShipmentOrigin
        - defaultMarkupPercentage
        - isTrackingReimbursedExpensesAsIncome
        - isAutoApplyingPayments
        - priceLevels
      additionalProperties: false
      title: The Sales and Customers Preferences object
      x-conductor-object-type: nested
    qbd_sales_tax_preferences:
      type: object
      properties:
        defaultItemSalesTax:
          anyOf:
            - type: object
              properties:
                id:
                  anyOf:
                    - type: string
                    - type: 'null'
                  description: >-
                    The unique identifier assigned by QuickBooks to this object.
                    This ID is unique across all objects of the same type, but
                    not across different QuickBooks object types.
                  example: 80000001-1234567890
                fullName:
                  anyOf:
                    - type: string
                    - type: 'null'
                  description: >-
                    The fully-qualified unique name for this object, formed by
                    combining the names of its parent objects with its own
                    `name`, separated by colons. Not case-sensitive.
                  example: Parent:Child:Grandchild
              required:
                - id
                - fullName
              additionalProperties: false
            - type: 'null'
          description: The default tax code for sales for this company file.
          example:
            id: 80000001-1234567890
            fullName: State Sales Tax
        salesTaxReportingFrequency:
          type: string
          enum:
            - monthly
            - quarterly
            - annually
          description: >-
            The frequency at which sales tax reports are generated for this
            company file.
          example: quarterly
        defaultTaxableSalesTaxCode:
          type: object
          properties:
            id:
              anyOf:
                - type: string
                - type: 'null'
              description: >-
                The unique identifier assigned by QuickBooks to this object.
                This ID is unique across all objects of the same type, but not
                across different QuickBooks object types.
              example: 80000001-1234567890
            fullName:
              anyOf:
                - type: string
                - type: 'null'
              description: >-
                The fully-qualified unique name for this object, formed by
                combining the names of its parent objects with its own `name`,
                separated by colons. Not case-sensitive.
              example: Parent:Child:Grandchild
          required:
            - id
            - fullName
          additionalProperties: false
          description: The default tax code for taxable sales for this company file.
          example:
            id: 80000001-1234567890
            fullName: Tax
        defaultNonTaxableSalesTaxCode:
          type: object
          properties:
            id:
              anyOf:
                - type: string
                - type: 'null'
              description: >-
                The unique identifier assigned by QuickBooks to this object.
                This ID is unique across all objects of the same type, but not
                across different QuickBooks object types.
              example: 80000001-1234567890
            fullName:
              anyOf:
                - type: string
                - type: 'null'
              description: >-
                The fully-qualified unique name for this object, formed by
                combining the names of its parent objects with its own `name`,
                separated by colons. Not case-sensitive.
              example: Parent:Child:Grandchild
          required:
            - id
            - fullName
          additionalProperties: false
          description: The default tax code for non-taxable sales for this company file.
          example:
            id: 80000001-1234567890
            fullName: Non
        isUsingVendorTaxCode:
          anyOf:
            - type: boolean
            - type: 'null'
          description: >-
            Indicates whether this company file is configured to use tax codes
            for vendors.
          example: true
        isUsingCustomerTaxCode:
          anyOf:
            - type: boolean
            - type: 'null'
          description: >-
            Indicates whether this company file is configured to use tax codes
            for customers.
          example: true
        isUsingTaxInclusivePrices:
          anyOf:
            - type: boolean
            - type: 'null'
          description: >-
            Indicates whether this company file is configured to allow
            tax-inclusive prices.
          example: false
      required:
        - defaultItemSalesTax
        - salesTaxReportingFrequency
        - defaultTaxableSalesTaxCode
        - defaultNonTaxableSalesTaxCode
        - isUsingVendorTaxCode
        - isUsingCustomerTaxCode
        - isUsingTaxInclusivePrices
      additionalProperties: false
      title: The Sales Tax Preferences object
      x-conductor-object-type: nested
    qbd_time_tracking_preferences:
      type: object
      properties:
        firstDayOfWeek:
          type: string
          enum:
            - monday
            - tuesday
            - wednesday
            - thursday
            - friday
            - saturday
            - sunday
          description: The first day of a weekly timesheet period for this company file.
          example: monday
      required:
        - firstDayOfWeek
      additionalProperties: false
      title: Time tracking preferences
      x-conductor-object-type: nested
    qbd_current_app_access_rights:
      type: object
      properties:
        isAutomaticLoginAllowed:
          type: boolean
          description: >-
            Indicates whether applications can use auto-login to access this
            company file.
          example: true
        automaticLoginUserName:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            If auto-login is allowed for this company file, specifies the user
            name that is allowed to use auto-login.
          example: admin
        isPersonalDataAccessAllowed:
          type: boolean
          description: >-
            Indicates whether access is allowed to personal (sensitive) data in
            this company file.
          example: true
      required:
        - isAutomaticLoginAllowed
        - automaticLoginUserName
        - isPersonalDataAccessAllowed
      additionalProperties: false
      title: The Current App Access Rights object
      x-conductor-object-type: nested
    qbd_items_and_inventory_preferences:
      type: object
      properties:
        isEnhancedInventoryReceivingEnabled:
          anyOf:
            - type: boolean
            - type: 'null'
          description: >-
            Indicates whether enhanced inventory receiving is enabled for this
            company file.
          example: true
        inventoryTrackingMethod:
          anyOf:
            - type: string
              enum:
                - none
                - serial_number
                - lot_number
            - type: 'null'
          description: >-
            Specifies the type of inventory tracking that this company file
            uses.
          example: serial_number
        isInventoryExpirationDateEnabled:
          anyOf:
            - type: boolean
            - type: 'null'
          description: >-
            Indicates whether expiration dates for inventory serial/lot numbers
            are enabled for this company file. This feature is supported from
            QuickBooks Desktop 2023.
          example: true
        isTrackingOnSalesTransactionsEnabled:
          anyOf:
            - type: boolean
            - type: 'null'
          description: >-
            Indicates whether serial/lot number tracking is enabled for sales
            transactions in this company file.
          example: true
        isTrackingOnPurchaseTransactionsEnabled:
          anyOf:
            - type: boolean
            - type: 'null'
          description: >-
            Indicates whether serial/lot number tracking is enabled for purchase
            transactions in this company file.
          example: true
        isTrackingOnInventoryAdjustmentEnabled:
          anyOf:
            - type: boolean
            - type: 'null'
          description: >-
            Indicates whether serial/lot number tracking is enabled for
            inventory adjustments in this company file.
          example: true
        isTrackingOnBuildAssemblyEnabled:
          anyOf:
            - type: boolean
            - type: 'null'
          description: >-
            Indicates whether serial/lot number tracking is enabled for build
            assemblies in this company file.
          example: true
        isFifoEnabled:
          anyOf:
            - type: boolean
            - type: 'null'
          description: >-
            Indicates whether this company file is configured to use FIFO (First
            In, First Out) to calculate the value of inventory sold and on-hand.
          example: true
        fifoEffectiveDate:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          description: >-
            The date from which FIFO (First In, First Out) is used to calculate
            the value of inventory sold and on-hand for this company file, in
            ISO 8601 format (YYYY-MM-DD).
          example: '2023-01-01T00:00:00.000Z'
        isBinTrackingEnabled:
          anyOf:
            - type: boolean
            - type: 'null'
          description: >-
            Indicates whether bin tracking is enabled for this company file.
            When `true`, inventory can be tracked by bin locations within sites.
          example: true
        isBarcodeEnabled:
          anyOf:
            - type: boolean
            - type: 'null'
          description: >-
            Indicates whether barcode functionality is enabled for this company
            file.
          example: true
      required:
        - isEnhancedInventoryReceivingEnabled
        - inventoryTrackingMethod
        - isInventoryExpirationDateEnabled
        - isTrackingOnSalesTransactionsEnabled
        - isTrackingOnPurchaseTransactionsEnabled
        - isTrackingOnInventoryAdjustmentEnabled
        - isTrackingOnBuildAssemblyEnabled
        - isFifoEnabled
        - fifoEffectiveDate
        - isBinTrackingEnabled
        - isBarcodeEnabled
      additionalProperties: false
      title: The Items and Inventory Preferences object
      x-conductor-object-type: nested
    qbd_price_levels:
      type: object
      properties:
        isUsingPriceLevels:
          type: boolean
          description: >-
            Indicates whether this company file has price levels enabled. When
            `true`, price levels can be created and used to automatically
            calculate custom pricing for different customers.
          example: true
        isRoundingSalesPriceUp:
          anyOf:
            - type: boolean
            - type: 'null'
          description: >-
            Indicates whether this company file is configured to round amounts
            up to the nearest whole dollar for fixed percentage price levels.
            This setting does not affect per-item price levels.
          example: false
      required:
        - isUsingPriceLevels
        - isRoundingSalesPriceUp
      additionalProperties: false
      title: The Price Levels object
      x-conductor-object-type: nested
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your Conductor secret key using Bearer auth (e.g., `"Authorization:
        Bearer {{YOUR_SECRET_KEY}}"`).

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.